#!/bin/sh

### BEGIN INIT INFO
# Provides:          phoneui_daemon
# Required-Start:    $syslog property_service_daemon
# Required-Stop:     $syslog property_service_daemon
# Default-Start:     5
# Default-Stop:      0 1 2 3 4 6 7
# Short-Description: Launches Phone UI application
# Description:
### END INIT INFO

source /etc/init.d/init-functions
source /etc/boot-complete.conf

export QT_QPA_PLATFORM="eglfs"
export QT_QPA_EVDEV_KEYBOARD_PARAMETERS="/dev/input/keypad:disabled=1"
export QT_QPA_EVDEV_MOUSE_PARAMETERS="disabled=1"
export QT_QPA_EVDEV_TOUCHSCREEN_PARAMETERS="/dev/input/touch"
export QML_USE_GLYPHCACHE_WORKAROUND="1"

NAME=maxwell-phoneui
DAEMON=/usr/bin/phoneui
WORKING_DIR=/var/run/
PIDFILE=${WORKING_DIR}/phoneui.pid
USER=maxwell
GROUP=maxwell

if [ "$1" = "stop" ]; then
    echo "PROGRESS 0" > /var/run/ipc/splashscreen.fifo
fi

# If boot is not complete run splash screen
test "${BOOT_COMPLETE_FILE}" || { log_error "Required BOOT_COMPLETE_FILE not defined"; exit 1; }
if [ ! -f "${BOOT_COMPLETE_FILE}" ]; then
	DAEMON_ARGS="--splashscreen"
fi

source /etc/init.d/gigaset-init-functions
