#!/bin/bash
#
# Copyright (C) 2018-2019 Gigaset Communications GmbH
#

set -e
ntp_last_sync_file="/tmp/ntp_last_sync"
last_sync_col='$5'
last_sync_sec=$(ntpq -p | awk "/^\*/ {print ${last_sync_col}}")


# Store last update timestamp to file
store_ntp_last_sync()
{
	local last_sync_timestamp="$1"
	echo $(date +"%d.%m.%Y %R" -d @"${last_sync_timestamp}" | tee "${ntp_last_sync_file}")
}

# Check if the ntp response is the number
if [[ ${last_sync_sec} =~ ^[0-9]+$ ]]; then
	current_timestamp=$(date +%s)
	last_sync_timestamp="$(( ${current_timestamp} - ${last_sync_sec} ))"

	result=$(store_ntp_last_sync "${last_sync_timestamp}")
elif [ -f "${ntp_last_sync_file}" ]; then
	# Read content of last sync file if it exists
	result=$(cat "${ntp_last_sync_file}")
else
	# Otherwise set timestamp to epoch
	last_sync_timestamp="0"
	result=$(store_ntp_last_sync "${last_sync_timestamp}")
fi

# Print last ntp update date and time
echo "${result}"
